
package de.christofreichardt.jaxws.securitypriceservice;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the de.christofreichardt.jaxws.securitypriceservice package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {

    private final static QName _SecurityPriceServiceRequest_QNAME = new QName("http://de.christofreichardt/SecurityPriceService", "SecurityPriceServiceRequest");
    private final static QName _SecurityPriceServiceFault_QNAME = new QName("http://de.christofreichardt/SecurityPriceService", "SecurityPriceServiceFault");
    private final static QName _SecurityPriceServiceResponse_QNAME = new QName("http://de.christofreichardt/SecurityPriceService", "SecurityPriceServiceResponse");
    private final static QName _SecurityPriceServiceRequestISIN_QNAME = new QName("http://de.christofreichardt/SecurityPriceService", "ISIN");
    private final static QName _SecurityPriceServiceRequestWKN_QNAME = new QName("http://de.christofreichardt/SecurityPriceService", "WKN");

    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: de.christofreichardt.jaxws.securitypriceservice
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link SecurityPriceServiceRequest }
     * 
     */
    public SecurityPriceServiceRequest createSecurityPriceServiceRequest() {
        return new SecurityPriceServiceRequest();
    }

    /**
     * Create an instance of {@link SecurityPriceServiceFault }
     * 
     */
    public SecurityPriceServiceFault createSecurityPriceServiceFault() {
        return new SecurityPriceServiceFault();
    }

    /**
     * Create an instance of {@link SecurityPriceServiceResponse }
     * 
     */
    public SecurityPriceServiceResponse createSecurityPriceServiceResponse() {
        return new SecurityPriceServiceResponse();
    }

    /**
     * Create an instance of {@link SharePrice }
     * 
     */
    public SharePrice createSharePrice() {
        return new SharePrice();
    }

    /**
     * Create an instance of {@link IndexPrice }
     * 
     */
    public IndexPrice createIndexPrice() {
        return new IndexPrice();
    }

    /**
     * Create an instance of {@link AbstractSecurityPrice }
     * 
     */
    public AbstractSecurityPrice createAbstractSecurityPrice() {
        return new AbstractSecurityPrice();
    }

    /**
     * Create an instance of {@link OptionPrice }
     * 
     */
    public OptionPrice createOptionPrice() {
        return new OptionPrice();
    }

    /**
     * Create an instance of {@link UnknownPrice }
     * 
     */
    public UnknownPrice createUnknownPrice() {
        return new UnknownPrice();
    }

    /**
     * Create an instance of {@link Security }
     * 
     */
    public Security createSecurity() {
        return new Security();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link SecurityPriceServiceRequest }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://de.christofreichardt/SecurityPriceService", name = "SecurityPriceServiceRequest")
    public JAXBElement<SecurityPriceServiceRequest> createSecurityPriceServiceRequest(SecurityPriceServiceRequest value) {
        return new JAXBElement<SecurityPriceServiceRequest>(_SecurityPriceServiceRequest_QNAME, SecurityPriceServiceRequest.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link SecurityPriceServiceFault }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://de.christofreichardt/SecurityPriceService", name = "SecurityPriceServiceFault")
    public JAXBElement<SecurityPriceServiceFault> createSecurityPriceServiceFault(SecurityPriceServiceFault value) {
        return new JAXBElement<SecurityPriceServiceFault>(_SecurityPriceServiceFault_QNAME, SecurityPriceServiceFault.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link SecurityPriceServiceResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://de.christofreichardt/SecurityPriceService", name = "SecurityPriceServiceResponse")
    public JAXBElement<SecurityPriceServiceResponse> createSecurityPriceServiceResponse(SecurityPriceServiceResponse value) {
        return new JAXBElement<SecurityPriceServiceResponse>(_SecurityPriceServiceResponse_QNAME, SecurityPriceServiceResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://de.christofreichardt/SecurityPriceService", name = "ISIN", scope = SecurityPriceServiceRequest.class)
    public JAXBElement<String> createSecurityPriceServiceRequestISIN(String value) {
        return new JAXBElement<String>(_SecurityPriceServiceRequestISIN_QNAME, String.class, SecurityPriceServiceRequest.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://de.christofreichardt/SecurityPriceService", name = "WKN", scope = SecurityPriceServiceRequest.class)
    public JAXBElement<String> createSecurityPriceServiceRequestWKN(String value) {
        return new JAXBElement<String>(_SecurityPriceServiceRequestWKN_QNAME, String.class, SecurityPriceServiceRequest.class, value);
    }

}
